package cn.teammodel.model.dto.weekDuty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author winter
 * @create 2024-01-03 10:45
 */

@Data
public class InsertDutyNodeDto {
    @ApiModelProperty(value = "父亲节点,不传则为根节点")
    String pid;
    @ApiModelProperty(value = "节点名称", required = true)
    @NotBlank(message = "name 不能为空")
    String name;
    String desc;
    Integer order = 0;
    Integer score = 0;
//    Boolean positive = true;
}
