package cn.teammodel.model.dto.weekDuty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2024-01-03 10:59
 */
@Data
@ApiModel("覆盖原节点")
public class UpdateDutyNodeDto {
    @ApiModelProperty(value = "待修改的节点 id")
    @NotNull
    private String id;
    private String name;
    private String desc;
    private Integer order = 0;
    private Integer score = 0;
//    boolean positive;
}
