package cn.teammodel.repository;

import cn.teammodel.model.entity.weekDuty.WeekDutyRecord;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import org.springframework.stereotype.Repository;

/**
 * @author winter
 * @create 2024-01-04 17:23
 */
@Repository
public interface DutyRecordRepository extends CosmosRepository<WeekDutyRecord, String> {
    WeekDutyRecord findByClassIdAndAcademicYearIdAndCode(String classId, String academicYearId, String code);
}
