package cn.teammodel.service;

import cn.teammodel.model.dto.weekDuty.DeleteDutyNodeDto;
import cn.teammodel.model.dto.weekDuty.DutyVoteDto;
import cn.teammodel.model.dto.weekDuty.InsertDutyNodeDto;
import cn.teammodel.model.dto.weekDuty.UpdateDutyNodeDto;
import cn.teammodel.model.entity.weekDuty.WeekDuty;

/**
 * @author winter
 * @create 2024-01-03 10:07
 */
public interface DutyService {
    WeekDuty insertNode(InsertDutyNodeDto insertDutyNodeDto);

    WeekDuty getTree();

    WeekDuty deleteNode(DeleteDutyNodeDto deleteDutyNodeDto);

    WeekDuty updateNode(UpdateDutyNodeDto updateDutyNodeDto);

    void vote(DutyVoteDto dutyVoteDto);

}
